Subject: qutebrowser 3.3.1 - Fatal error: PyQt6.QtCore could not be imported

From: Rodion Goritskov <[email-masked]>
Date: Sun, 22 Dec 2024 21:28:41 +0100

Hi!

I tried running qutebrowser on the following Guix

>   guix da94cd1
>   repository URL: https://git.savannah.gnu.org/git/guix.git
>   branch: master
>   commit: da94cd1ea69559a80d291c6a574b0f23e30c64f2

Running with the following command in pure container:

> guix shell --pure -CN -E "^DISPLAY$" -E "^XAUTHORITY$"
> --expose="$XAUTHORITY" --share=/tmp/.X11-unix/ qutebrowser bash --
> bash -c "LIBGL_ALWAYS_SOFTWARE=1 qutebrowser"

Qutebrowser starts successfully and opens the default search engine page.

In your error I find odd the following line:
> The error encountered was: libzstd.so.1: cannot open shared object

Maybe there is something wrong with the store?

I am not an expert there, but you could try:

> sudo guix gc --verify=repair